close all;
clear all;
clc;

% use command below to install signal library
% pkg install -forge signal

pkg load signal

audioinfo('1kHz.ogg')               % Show audio track information
[x, fs] = audioread('1kHz.ogg');    % Convert digital audio to analog = voltage vs time

%audioinfo('All_Pain_Is_Gone_-_100Hz_LP_Filter_60s_sample.ogg')               % Show audio track information
%[x, fs] = audioread('All_Pain_Is_Gone_-_100Hz_LP_Filter_60s_sample.ogg');    % Convert digital audio to analog = voltage vs time

% audioread works with wav, flac and ogg vorbis.

CF = peak2rms(x)      % Show Crest Factor for left and right channels
CF_dB = 20*log10(CF)  % Show Crest Factor in dB for left and right channels
Peak_x=max(abs(x))    % Show Peaks for left and right channels
RMS_x = rms(x)        % Show RMS for left and right channels
